Bug 1262650 - Save As dialog obscures/covers up screen and is not movable
Save As dialog obscures/covers up screen and is not movable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
21
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 18:55 EDT by Karl
Modified: 2017-01-19 12:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:20:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl 2015-09-13 18:55:44 EDT
This is a feature request more than anything else.

Description of problem:
When saving a file in LibreOffice writer, the dialog box that pops up covers almost everything in the main window.  This includes the title, author's names, etc., which are often the sort of information one might want to include in the file name.

This behavior is exactly duplicated in Firefox's save-as feature and several other programs, which is what leads me to believe this might be a feature of the underlying Gnome Shell library that is being called by such programs, not the programs themselves.

Version-Release number of selected component (if applicable):
gnome-shell-3.14.2-2.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open new document in LibreOffice Writer (or load old one)
2. Type something/make changes
3. File -> Save As...
4. Drag Save title bar left, right, up, or down

Actual results:
Entire window moves, or doesn't move at all, obscuring all text beneath the dialog box.

Expected results:
Window stays put, but dialog box moves out of the way, allowing one to enter text in the dialog box while still being able to see at least a portion of the window behind it.

Additional Information:
This bug sounds fiendishly similar to Bug 684802, which was filed under Fedora 15 and as such has since gone past End of Life with no resolution.  If the worry is that a user wouldn't know why he/she doesn't have access to the parent window because of a lost dialog box, I have two suggestions.  First would be to make the START position exactly as it is now but allow the user to move the dialog later.  The second suggestion, if we're concerned about daughter windows getting separated from the parent, we could make the requirement such that the dialog box is required to TOUCH the parent window, but not necessarily eclipse it.  This would allow the user to move the window up/down/left/right to see an important line in the parent window and not lose the daughter window in the process.
Comment 1 Fedora End Of Life 2015-11-04 05:32:48 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:20:47 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Steevithak 2017-01-16 13:54:08 EST
Did anyone ever find the solution to this bug? I'm experiencing it on Fedora 24. Same thing as original poster; when a dialog box pops up, I can't move it without moving the underlying window, so it's impossible to see crucial information in the application that's needed to complete the save as dialog.
Comment 4 Florian Müllner 2017-01-19 12:44:41 EST
If you don't want modal dialogs attached to their parent, you can disable the behavior:

$ gsettings set org.gnome.shell.overrides attach-modal-dialogs false

Note You need to log in before you can comment on or make changes to this bug.